;
(function ($, Drupal) {
  "use strict";

  Drupal.behaviors.iziMessage = {
    attach: function (context, settings) {
      var messages = context.querySelectorAll('div[data-izi-message]');
      var options  = JSON.parse(drupalSettings.iziMessage);
      messages.forEach(function (currentValue, currentIndex, listObj) {
        var iziType = currentValue.dataset.type;
        var iziTitle = currentValue.dataset.title;
        if(typeof iziToast[iziType] == 'function') {
          iziToast[iziType](Object.assign(options, {
            title: iziTitle,
            message: currentValue.innerHTML
          }));
        }
        currentValue.remove();
      });
    }
  }

})(jQuery, Drupal);