<?php

namespace Drupal\izi_message\Plugin\iziMessageField;

use Drupal\izi_message\iziMessageFieldBasic;

/**
 * @iziMessageField(
 *  id = "position",
 *  label = @Translation("izi Message Position")
 * )
 */
class iziMessagePosition extends iziMessageFieldBasic{

  public function form(array $element) {
    $form['position'] = [
      '#type'     => 'select',
      '#title'    => $this->t('Message Position', [], ['context' => 'izi_message']),
      '#description'    => $this->t('Where it will be shown. It can be bottomRight, bottomLeft, topRight, topLeft, topCenter, bottomCenter or center.'),
      '#default_value'  => $this->value(),
      '#options'  => [
        'bottomRight' => $this->t('Bottom Right'), 
        'bottomLeft'  => $this->t('Bottom left'), 
        'topRight'    => $this->t('Top Right'), 
        'topLeft'     => $this->t('Top Left'), 
        'topCenter'   => $this->t('Top Center'), 
        'bottomCenter'=> $this->t('Bottom Center'), 
        'center'      => $this->t('Center'),
      ],
    ];
    return $form;
  }
}